<?php
include LOCALE.LOCALESET."/admin/global.php";
$locale_files = makefilelist(LOCALE, ".|..", true, "folders");
echo "<form name='settingsform' method='post' action='".AMX_SELF."?id=obpost'>";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>";
echo "<tr>";
echo "<td width='50%' >".$locale_global['001']."</td>";
echo "<td width='50%' ><input name='sitename' type='text' class='textbox' style='width:230px;' value='".$settings['sitename']."' maxlength='255' /></td>";
echo "</tr><tr>";
echo "<td width='50%' >".$locale_global['002']."</td>";
echo "<td width='50%' ><input name='zname' type='text' class='textbox' style='width:230px;' value='".$settings['zname']."' maxlength='50' /></td>";
echo "</tr><tr>";
echo "<td width='50%' >".$locale_global['003']."</td>";
echo "<td width='50%' ><input name='siteurl' type='text' class='textbox' style='width:230px;' value='".$settings['siteurl']."' maxlength='255' /></td>";
echo "</tr><tr>";
echo "<td width='50%' >".$locale_global['004']."</td>";
echo "<td width='50%' ><input name='siteemail' type='text' class='textbox' style='width:230px;' value='".$settings['siteemail']."' maxlength='128' /></td>";
echo "</tr><tr>";
echo "<td width='50%' >".$locale_global['005']."</td>";
echo "<td width='50%' ><input name='username' type='text' class='textbox' style='width:230px;' value='".$settings['siteusername']."' maxlength='32' /></td>";
echo "</tr><tr>";
echo "<td valign='top' width='50%' >".$locale_global['013']."</td>";
echo "<td width='50%' ><textarea name='cm' cols='50' rows='6' class='textbox' style='width:230px;'>".$settings['copy_mon']."</textarea></td>";
echo "</tr><tr>";
echo "<td valign='top' width='50%' >".$locale_global['006']."</td>";
echo "<td width='50%' ><textarea name='description' cols='50' rows='6' class='textbox' style='width:230px;'>".$settings['description']."</textarea></td>";
echo "</tr><tr>";
echo "<td valign='top' width='50%' >".$locale_global['007']."<br /><span class='small2'>".$locale_global['008']."</span></td>";
echo "<td width='50%' ><textarea name='keywords' cols='50' rows='6' class='textbox' style='width:230px;'>".$settings['keywords']."</textarea></td>";
echo "</tr><tr>";
echo "<td valign='top' width='50%' >".$locale_global['009']."</td>";
echo "<td width='50%' ><textarea name='license' cols='50' rows='6' class='textbox' style='width:230px;'>".$settings['license']."</textarea></td>";
echo "</tr><tr>";
echo "<td width='50%' >".$locale_global['010']."</td>";
echo "<td width='50%' ><select name='localeset' class='textbox'>";
echo makefileopts($locale_files, $settings['locale'])."\n";
echo "</select></td></tr><tr>";
echo "<td width='50%' >".$locale_global['011']."</td>";
echo "<td width='50%' ><select name='num_servers' class='textbox'>\n";
echo "<option value='10'".($settings['num_servers'] == 10 ? " selected='selected'" : "").">10</option>\n";
echo "<option value='20'".($settings['num_servers'] == 20 ? " selected='selected'" : "").">20</option>\n";
echo "<option value='30'".($settings['num_servers'] == 30 ? " selected='selected'" : "").">30</option>\n";
echo "<option value='40'".($settings['num_servers'] == 40 ? " selected='selected'" : "").">40</option>\n";
echo "<option value='50'".($settings['num_servers'] == 50 ? " selected='selected'" : "").">50</option>\n";
echo "<option value='60'".($settings['num_servers'] == 60 ? " selected='selected'" : "").">60</option>\n";
echo "<option value='70'".($settings['num_servers'] == 70 ? " selected='selected'" : "").">70</option>\n";
echo "<option value='80'".($settings['num_servers'] == 80 ? " selected='selected'" : "").">80</option>\n";
echo "<option value='90'".($settings['num_servers'] == 90 ? " selected='selected'" : "").">90</option>\n";
echo "<option value='100'".($settings['num_servers'] == 100 ? " selected='selected'" : "").">100</option>\n";
echo "</select></td>\n";
echo "</tr><tr>";
echo "<td align='center' colspan='2'><br />";
echo "<input type='hidden' name='old_localeset' value='".$settings['locale']."' />\n";
echo "<input type='submit' name='savesettings' value='".$locale_global['012']."' class='button' /></td>";
echo "</tr></table></form>";